/*global angular*/
(function () {
    'use strict';

    angular
        .module('simplAdmin.wooCommerce', [])
        .config(['$stateProvider', function ($stateProvider) {
            $stateProvider.state('wc-products', {
                url: '/wc-products',
                templateUrl: "_content/TTS.Module.WooCommerce/admin/product/product-list.html",
                controller: 'WooProductListCtrl as vm'
            })
            .state('wc-product-create', {
                url: '/wc-product/create',
                templateUrl: "_content/TTS.Module.WooCommerce/admin/product/product-form.html",
                controller: 'WooProductFormCtrl as vm'
            })
            .state('wc-product-edit', {
                url: '/wc-product/edit/:id',
                templateUrl: '_content/TTS.Module.WooCommerce/admin/product/product-form.html',
                controller: 'WooProductFormCtrl as vm'
            });
        }]);
})();
